Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
+++ sansview/perspectives/fitting/basepage.py	(revision 1328e03fb2dbb5ff0404eac3502aef46dc24fe5d)
@@ -354,5 +354,11 @@
             out.close()
 
-    
+     
+    def onSetFocus(self, evt):
+        # Get a handle to the TextCtrl
+        widget = evt.GetEventObject()
+        # Select the whole control, after this event resolves
+        wx.CallAfter(widget.SetSelection, -1, -1)
+        return
     
     def read_file(self, path):
@@ -754,13 +760,12 @@
                 value= float(item[2].GetValue())
                 # If the value of the parameter has changed,
-                # update the model and set the is_modified flag
+                # +update the model and set the is_modified flag
                 if value != self.model.getParam(name):
                     self.model.setParam(name,value)
                     is_modified = True    
             except:
-                raise
-                #msg= "Model Drawing  Error:wrong value entered : %s"% sys.exc_value
-                #wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
-                #return 
+                msg= "Model Drawing  Error:wrong value entered : %s"% sys.exc_value
+                wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+                return 
         
         return is_modified 
@@ -797,5 +802,5 @@
             self.SetScrollbars(20,20,200,100)
             
-        
+   
         
     def _layout_sizer_noDipers(self):
@@ -916,5 +921,5 @@
         self.qmin.SetValue(format_number(self.qmin_x))
         self.qmin.SetToolTipString("Minimun value of Q in linear scale.")
-        self.qmin.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+        self.qmin.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
         self.qmin.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
      
@@ -922,5 +927,5 @@
         self.qmax.SetValue(format_number(self.qmax_x))
         self.qmax.SetToolTipString("Maximum value of Q in linear scale.")
-        self.qmax.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+        self.qmax.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
         self.qmax.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
      
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
+++ sansview/perspectives/fitting/fitpage.py	(revision 1328e03fb2dbb5ff0404eac3502aef46dc24fe5d)
@@ -252,5 +252,5 @@
                     
                     ctl1.SetValue(str (format_number(value)))
-                    ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                    ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                     ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                     self.sizer4_4.Add(ctl1, (iy,ix),(1,1),wx.EXPAND)
@@ -277,5 +277,5 @@
                         
                         Tctl.SetValue(str (format_number(value)))
-                        Tctl.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                        Tctl.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                         Tctl.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                         self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
@@ -291,5 +291,5 @@
                                             style=wx.TE_PROCESS_ENTER)
                         Tctl.SetValue(str (format_number(value)))
-                        Tctl.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                        Tctl.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                         Tctl.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                         self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision 9853ad069a86f1e21bce16d80f5733f56cfedd79)
+++ sansview/perspectives/fitting/fitpanel.py	(revision 1328e03fb2dbb5ff0404eac3502aef46dc24fe5d)
@@ -33,5 +33,5 @@
         #Creating the default page --welcomed page
         self.about_page=None
-        from sans.guiframe.welcome_panel import PanelAbout
+        from welcome_panel import PanelAbout
         self.about_page = PanelAbout(self, -1)
         self.AddPage(self.about_page,"welcome!")
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
+++ sansview/perspectives/fitting/modelpage.py	(revision 1328e03fb2dbb5ff0404eac3502aef46dc24fe5d)
@@ -86,5 +86,5 @@
         self.npts.SetValue(format_number(self.num_points))
         self.npts.SetToolTipString("Number of point to plot.")
-        self.npts.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+        self.npts.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
         self.npts.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
         
@@ -169,5 +169,5 @@
                     
                     ctl1.SetValue(str (format_number(value)))
-                    ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                    ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                     ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                     self.sizer4_4.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
@@ -183,5 +183,5 @@
                         
                         Tctl1.SetValue(str (format_number(value)))
-                        Tctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                        Tctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                         Tctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                         self.sizer4_4.Add(Tctl1, (iy,ix),(1,1),
@@ -198,5 +198,5 @@
                                             style=wx.TE_PROCESS_ENTER)
                         Tctl2.SetValue(str (format_number(value)))
-                        Tctl2.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                        Tctl2.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                         Tctl2.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
                         self.sizer4_4.Add(Tctl2, (iy,ix),(1,1),
@@ -383,6 +383,7 @@
                 
                 ctl1.SetValue(str (format_number(value)))
-                ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+                ctl1.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
                 ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
+                
                 sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
         
Index: sansview/perspectives/fitting/welcome_panel.py
===================================================================
--- sansview/perspectives/fitting/welcome_panel.py	(revision 823905f175db5e214fb0aff024e343ebf3299aaa)
+++ sansview/perspectives/fitting/welcome_panel.py	(revision 1328e03fb2dbb5ff0404eac3502aef46dc24fe5d)
@@ -81,10 +81,10 @@
         self.static_line_1 = wx.StaticLine(self, -1)
         self.label_acknowledgement = wx.StaticText(self, -1, config._acknowledgement)
-      
-
-       
-
+        
+        self.hyperlink_license = wx.StaticText(self, -1, "Comments? Bugs? Requests?")
+        self.hyperlink_paper = wx.lib.hyperlink.HyperLinkCtrl(self, -1,
+                                         "Send us a ticket",URL=config._license)
         # end wxGlade
-    
+        
 #      
         # randomly shuffle authors' names
@@ -114,22 +114,18 @@
         sizer_main = wx.BoxSizer(wx.VERTICAL)
         sizer_header = wx.BoxSizer(wx.HORIZONTAL)
-        sizer_build = wx.GridBagSizer(0,0)
+        sizer_build = wx.BoxSizer(wx.VERTICAL)
        
        
         sizer_header.Add(self.bitmap_logo, 0, wx.EXPAND|wx.LEFT, 5)
         
-        ix = 0
-        iy = 0
-        sizer_build.Add((20,20),(iy,ix),(1,1),wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
-        iy +=1
-        sizer_build.Add(self.label_acknowledgement,(iy,ix),(1,1),wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
-        iy +=1
-        sizer_build.Add(self.label_title ,(iy,ix),(1,1),wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
-        ix = 0
-        iy +=1
-        sizer_build.Add(self.label_build,(iy,ix),(1,1),wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
-        ix = 0
-        iy +=1
-        sizer_build.Add( self.label_copyright,(iy,ix),(1,1),wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+        
+        sizer_build.Add(self.label_acknowledgement,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
+        sizer_build.Add((5,5))
+        sizer_build.Add(self.label_title ,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
+        sizer_build.Add(self.label_build,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)  
+        sizer_build.Add( self.label_copyright,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+        sizer_build.Add((5,5))
+        sizer_build.Add( self.hyperlink_license,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+        sizer_build.Add( self.hyperlink_paper,0,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
         
         sizer_main.Add(sizer_header, 0, wx.TOP|wx.EXPAND, 3)
@@ -147,3 +143,19 @@
 
 # end of class DialogAbout
+class HelpWindow(wx.Frame):
+    def __init__(self, parent, id, title):
+        wx.Frame.__init__(self, parent, id, title, size=(570, 400))
+       
+        
+        self.page = PanelAbout(self)
+        
+        self.Centre()
+        self.Show(True)
 
+
+   
+if __name__=="__main__":
+    app = wx.App()
+    HelpWindow(None, -1, 'HelpWindow')
+    app.MainLoop()
+        
